## pathlib-abc 0.5.2

=== docs/requirements.txt ===
sphinx
sphinx-copybutton
furo

=== debian/changelog ===
pathlib-abc (0.5.2-2) unstable; urgency=medium

  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 17 Feb 2026 06:37:07 +0000

pathlib-abc (0.5.2-1) unstable; urgency=low

  * Initial release (Closes: #1123374).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Dec 2025 22:44:18 +0000

=== debian/control ===
Source: pathlib-abc
Section: python
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-hatchling,
               python3-pytest <!nocheck>
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/barneygale/pathlib-abc
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pathlib-abc
Vcs-Git: https://salsa.debian.org/debian-gis-team/pathlib-abc.git

Package: python3-pathlib-abc
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Python base classes for rich path objects
 This package is a preview of ``pathlib`` functionality planned
 for a future release of Python; specifically, it provides three
 ABCs that can be used to implement path classes for non-local
 filesystems, such as archive files and
 storage servers:
 .
  - JoinablePath: Abstract base class for paths that do not perform I/O.
  - ReadablePath: Abstract base class for paths that support reading.
  - WritablePath: Abstract base class for paths that support writing.
 .
 These base classes are under active development. Once the base
 classes reach maturity, they may become part of the Python
 standard library, and this package will continue to provide a
 backport for older Python releases.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pathlib-abc

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/barneygale/pathlib-abc/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
